Subject: Re: [netmod] RFC 8808 (reset to factory defaults) versus RFC 8342 (NMDA)

From: Qin Wu <[email-masked]>
Date: Wed, 20 Jan 2021 01:35:11 +0000

I think Juergen is correct. A few thoughts on this:
1. Factory default datastore has nothing to do with default data handling or system data handling, for default data handling, please refer to RFC6243, for system data handling, there is one on going individual work in netconf WG
https://tools.ietf.org/html/draft-ma-netconf-with-system-01 which propose to define a system data datastore to provide consistent data handling in the same way as RFC6243 did.
2. Default data will be part of definition of yang modules as metadata, see figure in the section 3.1 of RFC6244
3. Default statement is defined in RFC7950, it can be used with many YANG data nodes, e.g., leaf, leaf-list, choice.
-----邮件原件-----
发件人: netmod [mailto:[email-masked]] 代表 Juergen Schoenwaelder
发送时间: 2020年11月7日 1:34
收件人: Bogaert, Bart (Nokia - BE/Antwerp) <[email-masked]>
抄送: Carey, Timothy (Nokia - US) <[email-masked]>; Pauwels, Ludwig (Nokia - BE/Antwerp) <[email-masked]>; [email-masked]
主题: Re: [netmod] RFC 8802 (reset to factory defaults) versus RFC 8342 (NMDA)

On Fri, Nov 06, 2020 at 03:31:36PM +0000, Bogaert, Bart (Nokia - BE/Antwerp) wrote:
> Hi,
> 
> We are a little confused when reading RFC8808 (reset to factory-default datastore) in relation to the "system configuration" source in figure 2 of RFC8342.  When correctly understanding RFC 8342, the running datastore is empty when the system starts up after coming from the factory, and 'factory default' data is entered in the operational datastore as 'system/default configuration' data.
> 
> RFC 8808 seems to suggest that the running datastore contains (factory-default, system) data when the system starts up after coming from the factory. I.e. the understanding is that a reset to factory default brings the system back to the status as if it comes from the factory, and it is said the factory default goes into the running, ...
> 
> What exactly is the content of the running datastore when it comes from the factory?
> Could this be clarified?
>

I consider RFC 8808 an extension that people may implement if their systems do what RFC 8808 describes, namely that the running datastore is bootstrapped from a factory default datastore. (Of course, a system with an empty running datastore after a factory reset may claim to be bootstrapped from an empty factory default datastore.)

In other words, I think the answer to "What exactly is the content of the running datastore when it comes from the factory?" is that it is empty. On first boot, on a system implementing RFC 8808, it would be loaded with the content of the factory default datastore and on systems not implementing RFC 8808 it would most likely remain empty.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod